Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Jan 2020 08:17:12 -0500

>> Maybe it used to be that `minibuffer-completion-confirm` used to be set
>> to something like (not (memq require-match '(nil t)))?
> Not exactly. It was set to (not require-match), basically.

Ah, sounds right.

> The last place that changed was commit 695deb1857d, almost 18 years ago by
> your hand.

Guilty as charged (IIRC this was done when I added the ability for `C-x
C-f` and `C-x b` to ask for confirmation before opening a new
file/buffer).

> Speaking of, there's this condition in icomplete-exhibit that computes the
> require-match argument of icomplete-completions as
>
>   (if (window-minibuffer-p)
>     (not minibuffer-completion-confirm))
>
> but it only affects cosmetics.  It seems wrong (to me) now, but it makes
> sense looking at the code before the aforementioned commit.

I wouldn't be surprised that I missed some spots, back then, indeed.

        Stefan